# import necessary packages
import pandas as pd
import numpy as np
from sklearn.preprocessing import Imputer

# Mesh pandas' fillna and sklearn's Imputer
def clean_missing(dataframe, column, clean_type):
	clean_types = ["zero", "mean", "mode"]
	if clean_type not in clean_types:
		raise ValueError("clean_type not one of available types (['zero', 'mean', 'mode'])")
	else:
		# fillna
		if clean_type == "zero":
			dataframe[column] = dataframe[column].fillna(0)
		# imputer
		else:
			imputer = Imputer(missing_values='NaN', strategy=clean_type, axis=0)
			imputer = imputer.fit(dataframe[[column]])
			dataframe[column] = imputer.transform(dataframe[[column]])

		return dataframe
